Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TSchedule

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TScheduleImpl

    public interface TSchedule

extends org.apache.xmlbeans.XmlObject

An XML tSchedule(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TSchedule.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TCleanup` | `addNewCleanup()` Appends and returns a new empty value (as xml) as the last "cleanup" element
`TCleanup[]` | `getCleanupArray()` Deprecated.
`TCleanup` | `getCleanupArray(int i)` Gets ith "cleanup" element
`java.util.List<TCleanup>` | `getCleanupList()` Gets a List of "cleanup" elements
`java.lang.String` | `getWhen()` Gets the "when" attribute
`TCleanup` | `insertNewCleanup(int i)` Inserts and returns a new empty value (as xml) as the ith "cleanup" element
`void` | `removeCleanup(int i)` Removes the ith "cleanup" element
`void` | `setCleanupArray(int i, TCleanup cleanup)` Sets ith "cleanup" element
`void` | `setCleanupArray(TCleanup[] cleanupArray)` Sets array of all "cleanup" element
`void` | `setWhen(java.lang.String when)` Sets the "when" attribute
`int` | `sizeOfCleanupArray()` Returns number of "cleanup" element
`org.apache.xmlbeans.XmlString` | `xgetWhen()` Gets (as xml) the "when" attribute
`void` | `xsetWhen(org.apache.xmlbeans.XmlString when)` Sets (as xml) the "when" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getCleanupList

    java.util.List<TCleanup> getCleanupList()

  Gets a List of "cleanup" elements

### getCleanupArray

    TCleanup[] getCleanupArray()

  Deprecated.

  Gets array of all "cleanup" elements

### getCleanupArray

    TCleanup getCleanupArray(int i)

  Gets ith "cleanup" element

### sizeOfCleanupArray

    int sizeOfCleanupArray()

  Returns number of "cleanup" element

### setCleanupArray

    void setCleanupArray(TCleanup[] cleanupArray)

  Sets array of all "cleanup" element

### setCleanupArray

    void setCleanupArray(int i,
                         TCleanup cleanup)

  Sets ith "cleanup" element

### insertNewCleanup

    TCleanup insertNewCleanup(int i)

  Inserts and returns a new empty value (as xml) as the ith "cleanup" element

### addNewCleanup

    TCleanup addNewCleanup()

  Appends and returns a new empty value (as xml) as the last "cleanup" element

### removeCleanup

    void removeCleanup(int i)

  Removes the ith "cleanup" element

### getWhen

    java.lang.String getWhen()

  Gets the "when" attribute

### xgetWhen

    org.apache.xmlbeans.XmlString xgetWhen()

  Gets (as xml) the "when" attribute

### setWhen

    void setWhen(java.lang.String when)

  Sets the "when" attribute

### xsetWhen

    void xsetWhen(org.apache.xmlbeans.XmlString when)

  Sets (as xml) the "when" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD